### File

`packages/base/src/lib/eui-models/eui-pagination/eui-pagination.model.ts`

### Index

###### Methods
Static create getCurrentPage getFirstPage getLastPage getPages getPagesCount getPageSize getPageWindowSize getShowingFrom getShowingTo getTotalItems goToFirstPage goToLastPage goToNextPage goToPage goToPreviousPage hasItems hasNextPage hasPreviousPage isFirstPageActive isLastPageActive setPageSize setPageWindowSize

### Methods

Static create
`create(config: EuiPaginationConfig)`
Parameters :
Name | Type | Optional | Default value
config | `EuiPaginationConfig` | No | `DefaultConfig`
Returns : `EuiPagination`

getCurrentPage
`getCurrentPage()`
Returns : `number`

getFirstPage
`getFirstPage()`
Returns : `number`

getLastPage
`getLastPage()`
Returns : `number`

getPages
`getPages()`
Returns : `Array<number>`

getPagesCount
`getPagesCount()`
Returns : `number`

getPageSize
`getPageSize()`
Returns : `number`

getPageWindowSize
`getPageWindowSize()`
Returns : `number`

getShowingFrom
`getShowingFrom()`
Returns : `number`

getShowingTo
`getShowingTo()`
Returns : `number`

getTotalItems
`getTotalItems()`
Returns : `number`

goToFirstPage
`goToFirstPage()`
Returns : `void`

goToLastPage
`goToLastPage()`
Returns : `void`

goToNextPage
`goToNextPage()`
Returns : `void`

goToPage
`goToPage(page: number)`
Parameters :
Name | Type | Optional
page | `number` | No
Returns : `void`

goToPreviousPage
`goToPreviousPage()`
Returns : `void`

hasItems
`hasItems()`
Returns : `boolean`

hasNextPage
`hasNextPage()`
Returns : `boolean`

hasPreviousPage
`hasPreviousPage()`
Returns : `boolean`

isFirstPageActive
`isFirstPageActive()`
Returns : `boolean`

isLastPageActive
`isLastPageActive()`
Returns : `boolean`

setPageSize
`setPageSize(size: number)`
Parameters :
Name | Type | Optional
size | `number` | No
Returns : `void`

setPageWindowSize
`setPageWindowSize(size: number)`
Parameters :
Name | Type | Optional
size | `number` | No
Returns : `void`

# results matching ""

# No results matching ""